import SwiftUI
import HealthDB
import HealthKitExtensions

struct SymptomsList: View {

    let database: HealthDatabase

    var body: some View {
        List {
            CategoryEnumSampleRow<AbdominalCramps>(database: database)
            CategoryEnumSampleRow<Acne>(database: database)
            CategoryEnumSampleRow<AppetiteChanges>(database: database)
            CategoryEnumSampleRow<BladderIncontinence>(database: database)
            CategoryEnumSampleRow<Bloating>(database: database)
            CategoryEnumSampleRow<GeneralizedBodyAche>(database: database, title: "Body and Muscle Ache")
            CategoryEnumSampleRow<BreastPain>(database: database)
            CategoryEnumSampleRow<ChestTightnessOrPain>(database: database)
            CategoryEnumSampleRow<Chills>(database: database)
            CategoryEnumSampleRow<SinusCongestion>(database: database, title: "Congestion")
            CategoryEnumSampleRow<Constipation>(database: database)
            CategoryEnumSampleRow<Coughing>(database: database)
            CategoryEnumSampleRow<Diarrhea>(database: database, title: "Diarrhoea")
            CategoryEnumSampleRow<DrySkin>(database: database)
            CategoryEnumSampleRow<Fainting>(database: database)
            CategoryEnumSampleRow<Fatigue>(database: database)
            CategoryEnumSampleRow<Fever>(database: database)
            CategoryEnumSampleRow<HairLoss>(database: database)
            CategoryEnumSampleRow<Headache>(database: database)
            CategoryEnumSampleRow<Heartburn>(database: database)
            CategoryEnumSampleRow<HotFlashes>(database: database)
            CategoryEnumSampleRow<LossOfSmell>(database: database)
            CategoryEnumSampleRow<LossOfTaste>(database: database)
            CategoryEnumSampleRow<LowerBackPain>(database: database)
            CategoryEnumSampleRow<MemoryLapse>(database: database)
            CategoryEnumSampleRow<MoodChanges>(database: database)
            CategoryEnumSampleRow<Nausea>(database: database)
            CategoryEnumSampleRow<NightSweats>(database: database)
            CategoryEnumSampleRow<PelvicPain>(database: database)
            CategoryEnumSampleRow<RapidPoundingOrFlutteringHeartbeat>(database: database)
            CategoryEnumSampleRow<RunnyNose>(database: database)
            CategoryEnumSampleRow<ShortnessOfBreath>(database: database)
            CategoryEnumSampleRow<SleepChanges>(database: database)
            CategoryEnumSampleRow<SoreThroat>(database: database)
            CategoryEnumSampleRow<VaginalDryness>(database: database)
            CategoryEnumSampleRow<Vomiting>(database: database)
            CategoryEnumSampleRow<Wheezing>(database: database)
        }
        .navigationTitle("Symptoms")
    }
}

#Preview {
    NavigationStack {
        SymptomsList(database: .empty)
    }
}
